Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I tried installing Aether 2 on my Windows computer for Minecraft 1.5.1 in the new launcher (using the versions/1.5.1.jar). I also made a new profile for Aether II. But, as soon as I put the folder in mods/ it crashes on launch.

My crash log is:

---- Minecraft Crash Report ----
// I'm sorry, Dave.

Time: 8/6/13 3:17 PM
Description: Failed to start game

cpw.mods.fml.common.LoaderException: java.lang.ClassNotFoundException: net.aetherteam.aether.Aether
    at cpw.mods.fml.common.LoadController.transition(LoadController.java:142)
    at cpw.mods.fml.common.Loader.loadMods(Loader.java:513)
    at cpw.mods.fml.client.FMLClientHandler.beginMinecraftLoading(FMLClientHandler.java:160)
    at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:410)
    at net.minecraft.client.MinecraftAppletImpl.func_71384_a(SourceFile:56)
    at net.minecraft.client.Minecraft.run(Minecraft.java:732)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException: net.aetherteam.aether.Aether
    at cpw.mods.fml.relauncher.RelaunchClassLoader.findClass(RelaunchClassLoader.java:238)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at cpw.mods.fml.common.ModClassLoader.loadClass(ModClassLoader.java:56)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Unknown Source)
    at cpw.mods.fml.common.FMLModContainer.constructMod(FMLModContainer.java:425)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.EventHandler.handleEvent(EventHandler.java:74)
    at com.google.common.eventbus.SynchronizedEventHandler.handleEvent(SynchronizedEventHandler.java:45)
    at com.google.common.eventbus.EventBus.dispatch(EventBus.java:314)
    at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:296)
    at com.google.common.eventbus.EventBus.post(EventBus.java:267)
    at cpw.mods.fml.common.LoadController.propogateStateMessage(LoadController.java:165)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.google.common.eventbus.EventHandler.handleEvent(EventHandler.java:74)
    at com.google.common.eventbus.SynchronizedEventHandler.handleEvent(SynchronizedEventHandler.java:45)
    at com.google.common.eventbus.EventBus.dispatch(EventBus.java:314)
    at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:296)
    at com.google.common.eventbus.EventBus.post(EventBus.java:267)
    at cpw.mods.fml.common.LoadController.distributeStateMessage(LoadController.java:98)
    at cpw.mods.fml.common.Loader.loadMods(Loader.java:503)
    ... 5 more
Caused by: java.lang.NullPointerException
    at cpw.mods.fml.relauncher.RelaunchClassLoader.findClass(RelaunchClassLoader.java:227)
    ... 32 more

A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
    Minecraft Version: 1.5.1
    Operating System: Windows 7 (amd64) version 6.1
    Java Version: 1.7.0_25, Oracle Corporation
    Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    Memory: 55112240 bytes (52 MB) / 214433792 bytes (204 MB) up to 954466304 bytes (910 MB)
    JVM Flags: 2 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G
    AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
    Suspicious classes: FML and Forge are installed
    IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
    FML: MCP v7.44 FML v5.1.43.679 Minecraft Forge 7.7.2.679 5 mods loaded, 5 mods active
    mcp{7.44} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed
    FML{5.1.43.679} [Forge Mod Loader] (coremods) Unloaded->Constructed
    Forge{7.7.2.679} [Minecraft Forge] (coremods) Unloaded->Constructed
    Aether II{Alpha v1.0.1} [Aether II] (Aether 2.jar) Unloaded->Errored
    MainMenuAPI{1.0.0} [Main Menu API] (Aether 2.jar) Unloaded->Errored
    LWJGL: 2.9.0
    OpenGL: Intel(R) HD Graphics GL version 2.1.0 - Build 8.15.10.2342, Intel
    Is Modded: Definitely; Client brand changed to 'fml,forge'
    Type: Client (map_client.txt)
    Texture Pack: Default
    Profiler Position: N/A (disabled)
    Vec3 Pool Size: ~~ERROR~~ NullPointerException: null

All the videos on YouTube end up crashing too. The render and player API worked fine and forge did too but as soon as the Aether mod was put in it crashed on launch.

share|improve this question
    
Are you sure you've set it to the correct Minecraft version? e.g. if it needs MC 1.5.2 or 1.6.1 or some other version? Make sure you installed it as per this video by Minecraft legend Paulsoaresjr –  shanodin Aug 6 '13 at 21:40
    
I am looking one for the 1.6.2 launcher not the old .minecraft folder with bin I mean the new .minecraft with versions –  user53259 Aug 6 '13 at 21:52
    
In which case, take a look at using Magic Launcher –  shanodin Aug 6 '13 at 21:54
    
The launcher is not "the 1.6.2 launcher", which is why you're confusing everyone. The launcher has its own version numbers (that are not important). Just call it "the new launcher". I'll edit your question to make it clear that you're installing it on Minecraft 1.5.1 with the new launcher. –  SevenSidedDie Aug 6 '13 at 22:16
    
I'm confused by one bit. When you say you put "the folder in mods", what folder are you putting there? I believe you should be putting a zip file in there, not a folder. Can you clarify exactly what you're putting in mods/? –  SevenSidedDie Aug 6 '13 at 22:33
show 4 more comments

2 Answers 2

Maybe it isn't the answer you meaning, but did you know technic launcher (click here to go to the download page)? if you started up for the first time, go to the "add new pack" button in the modpacks list, and paste this url:

http://www.technicpack.net/api/modpack/the-aeter

Now, when you have done that, select "The Aether" modpack in the modpack list and wait for it to download, install, and load. when its loaded, enjoy The Aether!

technic launcher automatic downloads and installs the right minecraft version (for The Aether it is 1.5.1)

share|improve this answer
    
This is for The Aether 2 - does your answer still apply? –  shanodin Dec 26 '13 at 10:52
    
oh :( i thought it was the good one –  nelson2tm Dec 26 '13 at 11:31
    
I mean, the question is about Aether 2 - does your answer (which looks like for Aeather 1) still apply? –  shanodin Dec 26 '13 at 11:51
add comment

I don't know why, but I do know that you should use the launcher. I actually installed it correctly and got "somehow" converted to 1.0.0. Lol. Anyways, it might mean you need to get a computer with more memory or simply upgrade it.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.